libogg documentation | libogg release 1.2.1 - 20101029

# ogg_stream_reset

declared in "ogg/ogg.h";

This function reinitializes the values in the ogg_stream_state, just like ogg_stream_reset(). Additionally, it sets the stream serial number to the given value.

    int ogg_stream_reset_serialno(ogg_stream_state *os, int serialno);

### Parameters

os
  Pointer to the ogg_stream_state struct to be cleared.
serialno
  New stream serial number to use

### Return Values

> - 0 indicates success. nonzero is returned on internal error.

copyright © 2000-2010 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.2.1 - 20101029